Skip to content

Webhook Subscription

Manage webhook subscriptions that deliver platform events to your endpoints. Supports listing and fetching, creating, updating, and deleting subscriptions, activating, deactivating, or verifying a subscription, and listing all webhook types.

List or fetch webhook subscriptions

Request

Security
bearerAuth and apiKeyAuth
Query
subscriptionIdstring

Subscription id(s), comma-separated

pageNumberstring

Page number (0-based)

pageSizestring

Page size

sinceTimestring

Pagination cursor

curl -i -X GET \
  'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/webhook-subscriptions?subscriptionId=string&pageNumber=string&pageSize=string&sinceTime=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Key: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
Array [
idstring

Subscription ID of the webhook subscription.

namestring

Name of the webhook subscription.

descriptionstring

Description of the webhook subscription.

subscriptionsArray of strings

List of Sprinklr Webhook types subscribed.

filteredSubscriptionsArray of objects(Subscription)

The list of subscriptions with filters.

urlstring

The URL of the webhook endpoint.

preSharedKeystringrequired

An authorization key that can be used to confirm if the request is valid. A valid webhook will have a header

viaProxyboolean

If true, the webhooks are dispatched via sprinklr proxy

verifiedboolean

True if the webhook subscription is verified.

activeboolean

True if the webhook subscription is active.

lastSuccessTimestampinteger, (int64)

Last success timestamp of the webhook

lastFailedTimestampinteger, (int64)

Last failed timestamp of the webhook

]
Response
[ { "id": "string", "name": "string", "description": "string", "subscriptions": [ … ], "filteredSubscriptions": [ … ], "url": "string", "preSharedKey": "string", "viaProxy": true, "verified": true, "active": true, "lastSuccessTimestamp": 0, "lastFailedTimestamp": 0 } ]